package _VisualDVM.GlobalData.RemoteFile.UI;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Trees.StyledTreeCellRenderer;
import _VisualDVM.GlobalData.RemoteFile.RemoteFile;

import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
public class RendererTreeRemoteFile extends StyledTreeCellRenderer {
    public java.awt.Component getTreeCellRendererComponent(
            JTree tree, Object value,
            boolean selected, boolean expanded,
            boolean leaf, int row, boolean hasFocus) {
        super.getTreeCellRendererComponent(tree, value, selected, expanded, leaf, row, hasFocus);
        Object o = ((DefaultMutableTreeNode) value).getUserObject();
        if (o instanceof RemoteFile) {
            RemoteFile file = (RemoteFile) o;
            setText(file.name);
            setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreePlain));
            if (file.isDirectory())
                setIcon(new ImageIcon(getClass().getResource("/icons/Folder.png")));
        }
        setForeground(tree.getForeground());
        return this;
    }
}
